Bug 131473 - When gaim looses connection it may go amok.
When gaim looses connection it may go amok.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 13:22 EDT by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-03 23:03:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2004-09-01 13:22:49 EDT
Description of problem:
If i shut down my dial-up link while gaim is connected to the Internet
- it may sometimes go amok. It starts playing the "buddy logged on"
and "buddy logged off" sounds. It doesent even help to righ-click the
traybar-icon and selecting "exit" (at least not instantaniously) -
only thing that helps is to log on again - and then select "disconnect".

Version-Release number of selected component (if applicable):
gaim-0.82-0.FC2

How reproducible:
Sometimes, not always

Steps to Reproduce:
1. Log on to msn
2. kill connection
3. wait. Eat or whatever (even nerds do eat :) )
4. The "away-box" comes up
5. Gaim discovers that it has lost connection. Asks to reconnect
6. I close the away-box (how usefull is that if i'm disconnected from
the net?) using the upper-rigth-corner "X"
7. Do the same with the "reconnect?" box and then the main login window
8. Funny sounds
  
Actual results:
Funny sounds

Expected results:
silence + not showing away-box when not connected

Additional info:
Don't think this issue was here in the last version...
Comment 1 Kyrre Ness Sjøbæk 2004-09-02 16:44:02 EDT
Hmm... Think this may be resolved quite easily - as for me it seems
like xmms/rythmbox was using esd which was using /dev/dsp - but gaim
tried to use dsp directly... So when i disconnected (or was
disconnected) - i stopped the music... Why is this not set to esd as
default?
Comment 2 Warren Togami 2004-09-25 23:59:43 EDT
This is trouble with libao attempting to use OSS by default, and just
getting stuck rather than attempting esd or arts.
Comment 3 Warren Togami 2004-10-31 03:59:31 EST
Either libao needs to be fixed, or gaim needs to be smarter about its
default choice of sound output, as libao's default config just does
not work well.

Thoughts?
Comment 4 Matthew Miller 2005-04-26 12:24:58 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.